C**************************************************************************
C******    SORTERING AV TABELLDATA                                  *******
C******    DELVIS LOESNINGSFORSLAG                                  *******
C**************************************************************************
C
C  beskrivende tekst
C
C  DEKLARASJONER
C
      REAL
      INTEGER
      CHARACTER
C
C  AAPNE INN- OG UT-FILER 
C
      OPEN()
      OPEN()
C
C  LES OG SKRIV TABELL
C
      READ(10,*)N
      READ(10,*)(XT(I),YT(I),I=1,N)
      IF(N.LT.2)THEN
        WRITE(11,200)
 200    FORMAT(" ***** FEIL I INNDATA: N ER MINDRE ENN 2 *****")
        STOP
      ENDIF
      WRITE(11,201)N
 201  FORMAT(" INNLEST TABELL, N=",I3,//,"       X        Y",/)
      WRITE(11,202)(XT(I),YT(I),I=1,N)
 202  FORMAT(2F10.4)
C
C  SJEKK OM TABELLEN ER SORTERT I STIGENDE ORDEN
C  HVIS IKKE, KALL OPP SORTERINGENSRUTINEN SORT(N,XT,YT)
C  OG DERETTER SKRIV UT SORTERT TABELL
C
      SORTED="J"
      DO 10 I=1,N-1   
        sjekk om to tall er i feil rekkefølge
        SORTED="N"
      ENDIF
 10   CONTINUE
       hvis tabellen er usortert, skal subroutine SORTER kalles opp
       ...
       ...
C skriv sortert tabell
        WRITE(11,203)N
 203    FORMAT(/," SORTERT TABELL, N=",I3,//,"       X        Y",/)
        WRITE(11,204)(XT(I),YT(I),I=1,N)
 204    FORMAT(2F10.4)
      ELSE
        WRITE(11,205)
 205    FORMAT(/," DEN INNLESTE TABELLEN ER ALLEREDE SORTERT")

      ENDIF
C
      CLOSE(10)
      CLOSE(11)
      END
C
C  SORTERINGSRUTINEN
C
      SUBROUTINE SORTER(N,XT,YT)
C
C  RUTINEN SORTERER TABELLEN I STIGENDE ORDEN AV X
C  (NUMERICAL RECIPES S. 322)
C
      REAL
      INTEGER
       ..
       ..
      RETURN
      END











































